Codewarrior 5.6.1.1570 does not recognize the latest PEmicro USB based BDM interface hardware

cancel
Showing results for 
Search instead for 
Did you mean: 

Codewarrior 5.6.1.1570 does not recognize the latest PEmicro USB based BDM interface hardware

2,757 Views
Kiran
Contributor I
Hello,
I was using Codewarrior 5.6.1.1570 fine with older version of PE-Micro's USB-ML-CF BDM interface hardware . Last week it got damaged, so got the latest USB-ML-CF h/w. I have installed the latest driverfrom P&E website. But my Codewarrioe IDE is not able to recognize this USB, I keep getting message "Error: Select port number within valid range " , subsequently  I get this message "PEMicroProtocolPlugin: Can't connect to PEMiicro".

It does look like some kind of DLL or plugin is missing that is needed for CW IDE to work with latest USB-ML-CF ? Has anyone experienced this issue ?

Any pointers in this regard is well appreciated.

Thanks.

Regards,
Kiran
Labels (1)
0 Kudos
6 Replies

90 Views
J2MEJediMaster
Specialist I
What is the hardware target? Also, can you provide the version number of the tools? (Help > About CodeWarrior > Installed Products.)

---Tom

0 Kudos

90 Views
Kiran
Contributor I
Hello,
I have attached the installed tools text file which is dump from the CW IDE.

The target hardware is a proprietary  hardware and it is based on Coldfire MCF5485 processor.

Thanks for the help.

Regards,
Kiran
0 Kudos

90 Views
Kiran
Contributor I
Forgot to mention.

I used the P&E diagnostic interface to check the working of this new USB-ML-CF BDM interface with my target and it seems to be working fine, every time. So, it is the Codewarrior which is unable to recognize this USB interface.

Thanks.
-Kiran
0 Kudos

90 Views
J2MEJediMaster
Specialist I
OK, you are using CodeWarrior for ColdFire 5.0. The latest version is 7.0. The older version of CW may not recognize the new cable. What I would do is download the Special Edition version of CodeWarrior 7, install that, and see if the debugger recognizes the connection then. Since the Special Edition versions are free (they have limitations), you can determine if it is a CW version problem without incurring any expense, other than the time to download and install the software.

---Tom

0 Kudos

90 Views
Kiran
Contributor I
Thanks. Yes, I did go through that step of downloading V7.1 and running the CW with latest PE BDM i/f. It worked just fine !.

I cannot upgrade my existing V5.x to V7.1 without paying.

It does look like, CW V5.x needs some library/plugin update. Not sure where I can get those. So far no response from PEmicro folks on this issue. So thought of trying my luck here in this form.

Thanks for any pointers in this regard.

-Kiran
0 Kudos

90 Views
J2MEJediMaster
Specialist I
Possible options are:

1) If your program fits within the Special Edition's code limits, continue to use the Special edition.
2) See if you can find an older version of the USB-ML-CF BDM interface somewhere, possibly on eBay.

Sorry I can't be of more help than that.

---Tom



0 Kudos